org.kie.internal.builder

## Enum ResultSeverity

- java.lang.Object
- - java.lang.Enum<ResultSeverity>
  - - org.kie.internal.builder.ResultSeverity

- All Implemented Interfaces:
    Serializable, Comparable<ResultSeverity>

      public enum ResultSeverity
      extends Enum<ResultSeverity>

  An enum of the available problem types

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ERROR`
    `INFO`
    `WARNING`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ResultSeverity` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ResultSeverity[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ERROR

          public static final ResultSeverity ERROR

    - #### WARNING

          public static final ResultSeverity WARNING

    - #### INFO

          public static final ResultSeverity INFO

  - ### Method Detail

    - #### values

          public static ResultSeverity[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ResultSeverity c : ResultSeverity.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ResultSeverity valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2001–2019 JBoss by Red Hat. All rights reserved.